Using VM205 with Raspberry Pi 3B

I understand that the VM205 is not compatible with the Pi 3B+ is this correct?

In a post in this forum for VM205 titled “compatibilty question”
@VEL456 stated
“To test, I updated my Raspberry Pi 3 B to latest kernel version of 4.9.35-v7+.
My VM205 works fine with this latest kernel version.”

I just purchased the VM205 and I want to use it with a Pi 3B
in terminal typing uname -a it responds with
Linux xxxx 4.14.98-v7+ #1200 SMP Tue Feb 12 20:27:48 GMT 2019 armv71 GNU/Linux
So I ask the questions

  1. is this NEW kernel version 4.14.98-v7 acceptable?
  2. if not 1) what is the latest working kernel for Pi3B for compatibity with VM205
  3. where can I get the working kernel in 2) - [download link would be appreciated]
  4. can I then download the VM205 from your website, follow the instructions and expect it to function correctly?
    Thanks
    hopeful

More information
I looked at the date of the post “compatability question” which was Sept 2017
I went to raspberrypi.org and searched the NOOB archives for a date in this area.
I then downloaded noobs-v2-4-4.zip (as a test I installed it on another Pi 3B and found out the kernel version was 4.9.41-v7+ so only 2 steps further ahead than in the reffered post.

I formatted the sdcard again and copied the unzipped noob to it, I inserted the sdcard in the Pi 3B and fitted the VM205 sheild. I connected HDMI display, keyboard, mouse and powered up the Pi 3B with the shield attached. I then followed all instructions as per the supplied booklet for the VM205.

I prevented any kernel update by not providing wifi information to the Pi and I did not connect Ethernet.

The VM205 is now working on a Pi 3B using software noobs-v2-4-4 using Velleman website software vm205_src_pi_rev13.zip.

I still hope to get replies to questions in my post above but as the system is presently working I will make more tests to become familiar with the system.

Yes, this version seems to be OK too.